Request a Bank Account Verification - Open Banking
On this page, you will learn how to initiate a new Bank Account Verification - Open Banking using the API.
To initiate a new Bank Account Verification through Open Banking, you need to send a redirection URL, using the following endpoint:
POST /verifications/bank_account_connections
{
"redirection_url": "https://redirectionurl.com",
"workspace_id": "67536e37-c15e-4883-88bd-94a3057a6adb",
"country_code": "GB",
"locale": "en",
"natural_person": {
"first_name": "John",
"last_name": "Doe"
}
}{
"id": "75ad36cc-7e0f-464c-9241-569282c1cedc",
"workspace_id": "67536e37-c15e-4883-88bd-94a3057a6adb",
"created_at": "2025-07-24T13:01:55+00:00",
"updated_at": "2025-07-24T13:01:55+00:00",
"status": "pending",
"status_codes": [],
"data_anonymized": false,
"verification_url": "https://api.yousign.app/verifications/bank_account_connection_verifications/75ad36cc-7e0f-464c-9241-569282c1cedc/start?s=80b03a2fb3c06c3e4b31b6c031b2e1aeac8a7df4ea41854ae4adf8a14606aecaf9e590fd0cca3411af035f7d3701e340fa46d2361c4c9518de9f2f1c8ec43a67&r=CY9cqLQRmtAN1A%3D%3D",
"data": {
"account_type": "personal",
"account_identifiers": {
"iban": null,
"bic": null
},
"bank_name": null,
"parties": [],
"checks": null
}
}Query Param | Type | Description |
|---|---|---|
redirection_url | url | [required] The URL to which the user is redirected once the verification is done. This must be configured before the first use. |
workspace_id | string | [optional] Scope the verification within a workspace. |
country_code | string | [optional] The market for which to fetch reports, for example, "GB". |
locale | string | [optional] Locale to be used for end-user facing text, for example, "en". |
[natural_person] first_name | string | [optional] First name of the bank account holder. Please consult this page to understand and optimise the matching of the first name. If multiple given names are listed on the document, you must provide only the first one. |
[natural_person] last_name | string | [optional] Last name of the bank account holder. Please consult this page to understand and optimise the matching of the last name. |
In the response, you'll find:
- the
id. This value is required to retrieve the verification results - the
urlto verify the bank account.
| Countries covered (market) | Default locale |
|---|---|
| Austria 🇦🇹 (AT) | de |
| Belgium 🇧🇪 (BE) | fr |
| Czech Republic 🇨🇿 (CZ) | cs |
| Denmark 🇩🇰 (DK) | da |
| Estonia 🇪🇪 (ES) | et |
| Finland 🇫🇮 (FI) | fi |
| France 🇫🇷 (FR) | fr |
| Germany 🇩🇪 (DE) | de |
| Ireland 🇮🇪 (IE) | en |
| Italy 🇮🇹 (IT) | it |
| Latvia 🇱🇻(LV) | lv |
| Lithuania 🇱🇹(LT) | lt |
| Netherlands 🇳🇱 (NL) | nl |
| Norway 🇳🇴 (NO) | no |
| Poland 🇵🇱 (PL) | pl |
| Portugal 🇵🇹 (PT) | pt |
| Spain 🇪🇸 (ES) | es |
| Sweden 🇸🇪 (SE) | sv |
| United Kingdom 🇬🇧 (GB) | en |
Updated 18 days ago